#ifndef __NXP_ERRORS_H__
#define __NXP_ERRORS_H__

#include <glib.h>

typedef enum {
    NXP_ERROR_NOT_IMPLEMENTED = 1,
    NXP_ERROR_DOMAIN,
    NXP_ERROR_DIVIDE_BY_ZERO,
    NXP_ERROR_UNDEFINED,
    NXP_ERROR_ALREADY_DEFINED,
    NXP_ERROR_NO_LVALUE,
    NXP_ERROR_FILE_NOT_FOUND,
    NXP_ERROR_ERROR,
    NXP_ERROR_NO_DERIVATION,
    NXP_ERROR_NO_TYPECAST,
    NXP_ERROR_TYPE_CHECK,
    NXP_ERROR_NO_MEMORY,
    NXP_ERROR_XML_PARSER_ERROR,
    NXP_ERROR_INVALID_ARGUMENT,
    NXP_ERROR_OVERFLOW,
    NXP_ERROR_RECURSIVE_ASSIGNMENT,
    NXP_ERROR_UNDECIDABLE,
    NXP_ERROR_OUT_OF_RANGE
} NxpError;

extern GQuark nxp_error_domain;

void nxp_errors_init(void);



#endif /* __NXP_ERRORS_H__ */


