/* -*- Mode: C; c-file-style: "stroustrup"; -*- */
#ifndef __NXP_NAMED_ARGS_H__
#define __NXP_NAMED_ARGS_H__

#include "types/int.h"
#include "types/real.h"

NxpElementInt *nxp_named_args_get_int(GHashTable *hash, const char *key,
				      NxpEvalContext *context, GError **error);

NxpElementReal *nxp_named_args_get_real(GHashTable *hash, const char *key,
					NxpEvalContext *context, GError **error);

#endif /* __NXP_NAMED_ARGS_H__ */


