/* -*- Mode: C; c-file-style: "bsd"; -*- */
#ifndef __NXP_TYPECASTS_H__
#define __NXP_TYPECASTS_H__

#include "element.h"

typedef NxpElement* (*NxpCasterFunc) (NxpElement *elem);

void          nxp_typecasts_init            (void);
void          nxp_typecasts_register_caster (NxpElementType  from,
					     NxpElementType  to,
					     NxpCasterFunc   caster);
NxpCasterFunc nxp_typecasts_get_caster      (NxpElementType  from,
					     NxpElementType  to);
NxpElement*   nxp_typecasts_try_cast        (NxpElement     *from,
					     NxpElementType  to_type);
gboolean      nxp_typecasts_exists          (NxpElementType  from,
					     NxpElementType  to);
void	      nxp_typecasts_heritate_caster (NxpElementType parent,
					     NxpElementType child);



#endif /* __NXP_TYPECASTS_H__ */
