#ifndef _NXP_DERIVE_H_
#define _NXP_DERIVE_H_

#include "element.h"
#include "op_bindings.h"

typedef NxpElement* (*NxpOpDeriveFunc)(NxpOp op, NxpIdentifier *id,
				       NxpElement *left, NxpElement *right, 
				       gpointer user_data, GError **error);

extern NxpOpDeriveFunc derivation_table[NXP_NUM_OPS];

void nxp_op_derivation_init(void);

NxpOpDeriveFunc get_derive_function(NxpOp op);

#endif
