#ifndef __MESSAGE_H__
#define __MESSAGE_H__

#include <glib.h>
#include "eval_context.h"


/* #define NXP_LOG_PARSER_ERROR 	((1<<(G_LOG_LEVEL_USER_SHIFT+0))|G_LOG_LEVEL_WARNING) */
/* #define NXP_LOG_EVAL_ERROR 	((1<<(G_LOG_LEVEL_USER_SHIFT+1))|G_LOG_LEVEL_WARNING) */
/* #define NXP_LOG_EVAL_WARNING 	((1<<(G_LOG_LEVEL_USER_SHIFT+2))|G_LOG_LEVEL_WARNING) */
/* #define NXP_LOG_PARSER_WARNING 	((1<<(G_LOG_LEVEL_USER_SHIFT+3))|G_LOG_LEVEL_WARNING) */
/* #define NXP_LOG_OUTPUT_MESSAGE 	((1<<(G_LOG_LEVEL_USER_SHIFT+4))|G_LOG_LEVEL_WARNING) */

/* #define NXP_PARSER_ERROR_DOMAIN 	"Parser-error" */
/* #define NXP_EVAL_ERROR_DOMAIN 		"Eval-error" */
/* #define NXP_PARSER_WARNING_DOMAIN 	"Parser-warning" */
/* #define NXP_EVAL_WARNING_DOMAIN 	"Eval-warning" */
/* #define NXP_OUTPUT_MESSAGE_DOMAIN 	"Output-Message" */



/* #ifdef __GNUC__ */
/* #define NXP_DECLARE_PRINTF_STYLE __attribute__ ((format (printf, 1, 2))) */
/* #else */
/* #define NXP_DECLARE_PRINTF_STYLE */
/* #endif */





/* Message functions to be used everywhere */

/* Use this to report errors inside the eval function */
/* void nxp_eval_error     (const char *format, ...) NXP_DECLARE_PRINTF_STYLE; */
/* void nxp_eval_error     (void); */

/* Use this to report warnings inside the eval function */
void nxp_eval_warning   (NxpEvalContext *context, const char *format, ...) G_GNUC_PRINTF(2, 3);

/* Use this to print normal output messages */
void nxp_output_message (NxpEvalContext *context, const char *format, ...) G_GNUC_PRINTF(2, 3);

/* Set handler for messages sent with nxp_output_message() */
/* REMOVED: see NxpEvalContext, field 'output_handler'. */
/* void nxp_set_output_handler(NxpOutputHandler func, gpointer data); */


#endif /* __MESSAGE_H__ */

