#ifndef __NXP_STRING_H__
#define __NXP_STRING_H__

typedef struct _NxpElementString 	NxpElementString;

#include "element.h"

#define NXP_ELEMENT_TYPE_STRING	(nxp_element_string_get_type())
#define NXP_ELEMENT_STRING(x)	(NXP_ELEMENT_TYPECAST(x, NXP_ELEMENT_TYPE_STRING,	NxpElementString ))
#define NXP_ELEMENT_IS_STRING(x)	    nxp_element_check_type((x), NXP_ELEMENT_TYPE_STRING)

#define NXP_ELEMENT_STRING_STR(x) x->string


struct _NxpElementString {
    NxpElement element;
    gchar *string;
};

int	    nxp_element_string_get_type	    (void);
void        nxp_element_string_type_init    ();
NxpElement* nxp_element_string_new          (const char  *string);
NxpElement* nxp_element_string_new_with_str (gchar       *string);




#endif /* __NXP_STRING_H__ */
