/* -*- Mode: C; c-file-style: "bsd"; -*- */
#ifndef __VARIABLE_H__
#define __VARIABLE_H__

#include "element.h"

#define NXP_ELEMENT_TYPE_VARIABLE   (nxp_element_variable_get_type())
#define NXP_ELEMENT_VARIABLE(x)	(NXP_ELEMENT_TYPECAST(x, NXP_ELEMENT_TYPE_VARIABLE,	NxpElementVariable	))
#define NXP_ELEMENT_IS_VARIABLE(x)  nxp_element_check_type((x), NXP_ELEMENT_TYPE_VARIABLE)

#define NXP_ELEMENT_VARIABLE_IDENTIFIER(x) (NXP_ELEMENT_VARIABLE(x)->ident)

typedef struct _NxpElementVariable	NxpElementVariable;

struct _NxpElementVariable {
    NxpElement element;
    NxpIdentifier *ident;
};


int	    nxp_element_variable_get_type   (void);
NxpElement* nxp_element_variable_new        (NxpIdentifier  *ident);
NxpElement* nxp_element_variable_new_simple (const char     *name);
void        nxp_element_variable_type_init  (void);


#endif /* __VARIABLE_H__ */
